package org.bitbucket.openisoj.exceptions;

public class UnknownFieldException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String _fieldNumber;

	public UnknownFieldException(String fieldNumber) {
		super("Field " + fieldNumber + " is unknown");
		_fieldNumber = fieldNumber;
	}

	public String getFieldNumber() {
		return _fieldNumber;
	}

	public void setFieldNumber(String fieldNumber) {
		_fieldNumber = fieldNumber;
	}

}
